# Get Refunds

Get all refunds for an order.

Endpoint: GET /v1/orders/{orderId}/refunds
Security: OAuth2

## Path parameters:

  - `orderId` (string, required)
    The unique identifier of the order.

## Response 200 fields (application/json):

  - `items` (array)

  - `items.id` (string, required)
    The unique identifier of the refund.

  - `items.status` (string, required)
    The status of the refund.
    Enum: "INITIATED", "COMPLETED", "FAILED", "CANCELLED"

  - `items.amount` (object, required)
    The refund amount.

  - `items.amount.currency` (string, required)
    The ISO 4217 currency code.
    Example: "USD"

  - `items.amount.value` (integer, required)
    The price in the smallest currency unit (e.g. cents for USD).
    Example: 2500

  - `items.amount.exponent` (integer, required)
    The number of decimal places for the currency.
    Example: 2

  - `items.transaction_id` (string, required)
    The ID of the transaction being refunded.

  - `items.created_at` (string, required)
    Timestamp of when the refund was created.

## Response 400 fields (application/json):

  - `message` (string, required)

  - `code` (string, required)


